HanMacWrdJParserInternal::State Struct Reference

Internal: the state of a HanMacWrdJParser. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

long | m_zonesListBegin
| the list of zone begin
std::map< long, MWAWEntry > | m_zonesMap
| a map of entry: filepos->zone
std::vector< int > | m_zonesIdList
| an internal flag, used to know the actual id of a zone
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
int | m_headerHeight
| the header height if known
int | m_footerHeight
| the footer height if known
long | m_headerId
| the header text zone id or 0
long | m_footerId
| the footer text zone id or 0

## Detailed Description

Internal: the state of a HanMacWrdJParser.

## Constructor & Destructor Documentation

## State()

HanMacWrdJParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_actPage

int HanMacWrdJParserInternal::State::m_actPage

the actual page

Referenced by State().

## m_footerHeight

int HanMacWrdJParserInternal::State::m_footerHeight

the footer height if known

Referenced by State().

## m_footerId

long HanMacWrdJParserInternal::State::m_footerId

the footer text zone id or 0

Referenced by State().

## m_headerHeight

int HanMacWrdJParserInternal::State::m_headerHeight

the header height if known

Referenced by State().

## m_headerId

long HanMacWrdJParserInternal::State::m_headerId

the header text zone id or 0

Referenced by State().

## m_numPages

int HanMacWrdJParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## m_zonesIdList

std::vector<int> HanMacWrdJParserInternal::State::m_zonesIdList

an internal flag, used to know the actual id of a zone

Referenced by State().

## m_zonesListBegin

long HanMacWrdJParserInternal::State::m_zonesListBegin

the list of zone begin

Referenced by State().

## m_zonesMap

std::map<long, MWAWEntry> HanMacWrdJParserInternal::State::m_zonesMap

a map of entry: filepos->zone

Referenced by State().

The documentation for this struct was generated from the following file:

- HanMacWrdJParser.cxx